# -*- Mode: Python; test-case-name: codeina.test.test_httpdownload -*-
# vi:si:et:sw=4:sts=4:ts=4

from codeina.test.common import unittest
from codeina.httpdownload import HttpDownload 
from codeina.extern.log import log
from codeina.ui.downloadprogress import DownloadProgress
HttpDownload.download_object = DownloadProgress()
import os, sha

class TestHttpDownload(unittest.TestCase):

    def setUp(self):
        self.d = HttpDownload()

    def testHttpDownload(self):

        # FIXME
        raise unittest.SkipTest('needs twisted reactor mess cleaning up')


        #e = d.run('http://lookuperror.atari/foo',    \
        #          httpdownload.DEFAULT_DOWNLOAD_DIR, \
        #          'test.file',                       \
        #          None)

        #download ("http://lookuperror.atari/foo", "foo")
        url = "http://127.0.0.1/unexisting"
        thisfiledir = os.path.dirname(os.path.abspath(__file__))
        fn = url.split('/')[-1]
        e = self.d.run(url, thisfiledir, fn, None, "Downloading '%s'" % fn)
        #print e, e.status
        #os.remove(os.path.join(thisfiledir, fn))

        #self.failUnless (status != 'OK')
        #download ("http://intexsdf/intex", "here")
        #self.failUnless (status != 'OK')

    def test_download_unexisting_file(self):

        # FIXME
        raise unittest.SkipTest('needs twisted reactor mess cleaning up')

        url = "http://www.fluendo.com/unexisting"
        thisfiledir = os.path.dirname(os.path.abspath(__file__))
        fn = url.split('/')[-2]
        e = self.d.run(url, thisfiledir, fn, None, "Downloading '%s'" % fn)
        self.assertEquals(None, e)

        # fs = open(os.path.join(thisfiledir, fn),'rb').read()
        # real_sha1sum = sha.new(fs).hexdigest()
        # self.assertEquals(sha1sum, real_sha1sum)
        # os.remove(os.path.join(thisfiledir, fn))

    def test_download_existing_file(self):

        # FIXME
        raise unittest.SkipTest('needs twisted reactor mess cleaning up')

        url="http://shop.fluendo.com/pub/fluendo-mp3-2.i386.tar.bz2"
        sha1sum='117f85e118dab2d9f7c9bb10554fbc4e8f7fdf38'
        thisfiledir = os.path.dirname(os.path.abspath(__file__))
        fn = url.split('/')[-1]
        e = self.d.run(url, thisfiledir, fn, sha1sum, "Downloading '%s'" % fn)
        self.assertEquals(None, e)

        e = self.d.run(url, thisfiledir, fn, sha1sum, "Downloading '%s'" % fn)
        self.assertEquals(None, e)

        fs = open(os.path.join(thisfiledir, fn),'rb').read()
        real_sha1sum = sha.new(fs).hexdigest()
        self.assertEquals(sha1sum, real_sha1sum)
        os.remove(os.path.join(thisfiledir, fn))

        #download (url, "her.tar.bz2")
        #self.failUnless (status == 'OK')
