
from codeina.test.common import unittest
from os import environ

class Test_euladialog(unittest.TestCase):
    
    def setUp(self):
        import os
        if 'DISPLAY' not in os.environ or os.environ['DISPLAY'] == '':
            raise unittest.SkipTest('no DISPLAY set')

    def test_euladialog_refuse(self):
        import gtk
        from codeina.ui.igtk import euladialog
        w = gtk.Window()
        dialog = euladialog.EulaDialog(w, euladialog.EULA + "\n" + \
          "REFUSE THIS ONE")
        dialog._refuse.activate()
        ret = dialog.run()
        self.assertEqual(gtk.RESPONSE_CANCEL, ret)

    def test_euladialog_accept(self):
        import gtk
        from codeina.ui.igtk import euladialog
        w = gtk.Window()
        dialog = euladialog.EulaDialog(w, euladialog.EULA + "\n" + \
          "ACCEPT THIS ONE")
        dialog._accept.activate()
        ret = dialog.run()
        self.assertEqual(gtk.RESPONSE_OK, ret)
