# -*- Mode: Python; test-case-name: codeina.test.test_httpdownload -*-
# vi:si:et:sw=4:sts=4:ts=4

from codeina.test.common import unittest

class TestHttpDownloadDialog(unittest.TestCase):

    def setUp(self):
        import os
        if 'DISPLAY' not in os.environ or os.environ['DISPLAY'] == '':
            raise unittest.SkipTest('no DISPLAY set')

    def testHttpDownloadDialog(self):

        from codeina.test.common import unittest
        from codeina import httpdownload
        from codeina.extern.log import log
        from codeina.ui.igtk.httpdownload import HttpDownloadDialog
        import os

        # Do the downloading, with dialog
        url="http://shop.fluendo.com/pub/fluendo-mp3-2.i386.tar.bz2"
        sha1sum='117f85e118dab2d9f7c9bb10554fbc4e8f7fdf38'
        d = HttpDownloadDialog()
        thisfiledir = os.path.dirname(os.path.abspath(__file__))
        fn = os.path.basename(url)
        e = d.run(url, thisfiledir, fn, sha1sum, "Downloading '%s'" % fn)
        if e:
            self.fail("Download error: %s" % e)
        os.remove(os.path.join(thisfiledir, fn))
